import { Router } from "express";
import { FeedbackController } from "./controller.js";
import { AuthMiddleware } from "../middlewares/auth.middleware.js";

export class FeedbackRoutes {
  static get routes(): Router {
    const router = Router();
    const controller = new FeedbackController();

    router.post("/", AuthMiddleware.validate, controller.create);
    router.get("/me", AuthMiddleware.validate, controller.myFeedback);

    return router;
  }
}
